{% import "macros.html" as macros %}

<!doctype html>
<html lang="fr">
<head>
    <meta charset="utf-8"/>
    {#--------- the following block can be replaced ---------#}
    {# title is displayed in browser tab #}
    {%- block title %}<title>{{config.extra.name}} | 
        {%- if page %} {{page.title}}
        {%- elif section %} {{section.title}}
        {%- elif term %} {{term.name}}
        {%- elif taxonomy %} {{taxonomy.name}}
        {%- else %} ???
        {%- endif %}</title>
    {%- endblock title %}

    {# meta description is sometimes used by search engines to provide description #}
    {%- block description -%}
        {%- if page -%}
           <meta name="description" content="{{ page.description }}">
        {%- elif section -%}
           <meta name="description" content="{{ section.description }}">
        {%- else -%}
            <meta name="description" content="Page of Albatros website"/>
        {%- endif -%}
    {% endblock description %}

    {# keyword helps some search engines knowing what the page is about #}
    {%- block keywords %}
        {%- if page -%}
            {% if page.taxonomies.tags %}<meta name="keywords" content="
            {%- for tag in page.taxonomies.tags %}{{tag}},{% endfor %}">{% endif %}
        {%- elif section -%}
            {% if section.taxonomies.tags %}<meta name="keywords" content="
            {%- for tag in section.taxonomies.tags %}{{tag}},{% endfor %}">{% endif %}
        {%- else -%}
            <meta name="keywords" content="Albatros, Zola, theme"/>
        {%- endif -%}
    {% endblock keywords %}

    {# you can add meta tags in meta block #}
    {% block meta %}{% endblock meta %}

    {# you can add extra things in the head #}
    {%- block extrahead %}{% endblock extrahead %}

    {#--------- the following are included in every page inheriting from index ---------#}
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="generator" content="Zola 0.16"/> 
    <link rel="stylesheet" type="text/css" href="/w3.css"/>
    <link rel="stylesheet" type="text/css" href="/ForkAwesome/css/fork-awesome.min.css"/>
    <!-- combine.css is single stylesheet combined by sass preprocessor -->
    <link rel="stylesheet" type="text/css" href="/combine.css"/>
    <!-- custom.css is a stylesheet to be used by theme user -->
    <link rel="stylesheet" type="text/css" href="/custom.css"/>

    {#--------- the following are only included if argument is given in front matter ---------#}
    {%- if page -%}
        {% if page.extra.katex %}{{ macros::katex() }}{% endif %}
        {%- if page.extra.thumbnail %}<meta property="og:image" content="{{page.extra.thumbnail}}"/>{% endif %}
    {%- elif section -%}
        {% if section.extra.katex %}{{ macros::katex() }}{% endif %}
        {%- if section.extra.thumbnail %}<meta property="og:image" content="{{section.extra.thumbnail}}"/>{% endif %}
    {%- else -%}
        <meta property="og:image" content="{{config.extra.logo}}"/>
    {%- endif -%}
</head>

<body>
    {% include "nav.html" %}
    {% block content %}{% endblock content %}
    {% include "footer.html" %}
</body>

</html>
